Skip to main content
GET
/
robots
/
{robotId}
/
attributes
/
{attributeId}
Returns an attribute last value and last update time
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/attributes/{attributeId} \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "attribute": "agentOnline",
  "value": true,
  "ts": 1594944602962
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

attributeId
string
required

The attribute id

Response

Attribute value and last update

attribute
string
required

Attribute id

value
required

Attribute value

ts
integer
required

Last update timestamp